Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# OggFLAC::Encoder::File Class Reference
[OggFLAC++/encoder.h: file encoder class]

`#include <encoder.h>`

List of all members.

## Public Methods

| File ()
virtual | ~File ()
bool | is_valid () const
| operator bool () const
bool | set_serial_number (long value)
bool | set_verify (bool value)
bool | set_streamable_subset (bool value)
bool | set_do_mid_side_stereo (bool value)
bool | set_loose_mid_side_stereo (bool value)
bool | set_channels (unsigned value)
bool | set_bits_per_sample (unsigned value)
bool | set_sample_rate (unsigned value)
bool | set_blocksize (unsigned value)
bool | set_max_lpc_order (unsigned value)
bool | set_qlp_coeff_precision (unsigned value)
bool | set_do_qlp_coeff_prec_search (bool value)
bool | set_do_escape_coding (bool value)
bool | set_do_exhaustive_model_search (bool value)
bool | set_min_residual_partition_order (unsigned value)
bool | set_max_residual_partition_order (unsigned value)
bool | set_rice_parameter_search_dist (unsigned value)
bool | set_total_samples_estimate (FLAC__uint64 value)
bool | set_metadata (::FLAC__StreamMetadata **metadata, unsigned num_blocks)
bool | set_filename (const char *value)
State | get_state () const
SeekableStream::State | get_seekable_stream_encoder_state () const
FLAC::Encoder::Stream::State | get_FLAC_stream_encoder_state () const
FLAC::Decoder::Stream::State | get_verify_decoder_state () const
void | get_verify_decoder_error_stats (FLAC__uint64 *absolute_sample, unsigned *frame_number, unsigned *channel, unsigned *sample, FLAC__int32 *expected, FLAC__int32 *got)
bool | get_verify () const
bool | get_streamable_subset () const
bool | get_do_mid_side_stereo () const
bool | get_loose_mid_side_stereo () const
unsigned | get_channels () const
unsigned | get_bits_per_sample () const
unsigned | get_sample_rate () const
unsigned | get_blocksize () const
unsigned | get_max_lpc_order () const
unsigned | get_qlp_coeff_precision () const
bool | get_do_qlp_coeff_prec_search () const
bool | get_do_escape_coding () const
bool | get_do_exhaustive_model_search () const
unsigned | get_min_residual_partition_order () const
unsigned | get_max_residual_partition_order () const
unsigned | get_rice_parameter_search_dist () const
FLAC__uint64 | get_total_samples_estimate () const
State | init ()
void | finish ()
bool | process (const FLAC__int32 *const buffer[], unsigned samples)
bool | process_interleaved (const FLAC__int32 buffer[], unsigned samples)

## Protected Methods

virtual void | progress_callback (FLAC__uint64 bytes_written, FLAC__uint64 samples_written, unsigned frames_written, unsigned total_frames_estimate)

## Protected Attributes

::OggFLAC__FileEncoder * | encoder_

## Detailed Description

This class wraps the OggFLAC__FileEncoder.

The documentation for this class was generated from the following file:

- include/OggFLAC++/encoder.h